For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
              • GETList Pickup Methods
              • POSTCreate Pickup Methods
              • PUTUpdate Pickup Methods
              • DELDelete Pickup Methods
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPickupPickup Methods

Update Pickup Methods

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/pickup/methods
PUT
/stores/:store_hash/v3/pickup/methods
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {}
>]'
200Updated
1{
2 "data": [
3 {
4 "id": 1,
5 "location_id": 2,
6 "display_name": "Office Pickup!",
7 "collection_instructions": "Bring your ID!",
8 "collection_time_description": "Collect during our opening hours of 0900 - 1700",
9 "date_created": "2023-06-06T00:00:20Z",
10 "date_modified": "2023-06-08T00:00:20Z",
11 "location_identity": 2
12 }
13 ],
14 "meta": {}
15}
Update existing pickup methods. This batch operation can update 10 pickup method objects in one request. Only the `id` property of the pickup method object is required as part of the request. Pickup method properties that are not provided will maintain their existing values. ## Limits * Limit of updating 10 pickup method objects per `PUT` request.
Was this page helpful?
Previous

Create Pickup Methods

Next

Delete Pickup Methods

Built with

Update existing pickup methods.

This batch operation can update 10 pickup method objects in one request.

Only the id property of the pickup method object is required as part of the request. Pickup method properties that are not provided will maintain their existing values.

Limits

  • Limit of updating 10 pickup method objects per PUT request.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
idintegerOptional
The ID of the pickup method.
location_idintegerOptional
The ID of the location.
display_namestringOptional0-250 characters
Title of the pickup method.
collection_instructionsstringOptional0-250 characters
Instructions for picking up items.
collection_time_descriptionstringOptional0-250 characters
The description of collection time.
location_identityintegerOptionalDeprecated

Response

The request has been successfully processed.
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.